Unlaunch DSi | First public bootcode exploit for DSi

Discussion in 'NDS - Emulation and Homebrew' started by Mnecraft368, Apr 23, 2018.

  1. Xyphoseos

    Xyphoseos Hack or no games

    Member
    7
    Jun 29, 2016
    France
    Rivière
    I had to downgrade from 1.1 to 0.9 for update to 1.3
     
    JosephNeale likes this.
  2. jerbear64

    jerbear64 GBAtemp Fan

    Member
    3
    Dec 10, 2011
    United States
    Generally speaking, 1.3 should be stable. A critical bug was fixed in this version which was causing all of the version upgrade issues everyone has been having.
     
  3. sj33

    sj33 GBAtemp Psycho!

    Member
    12
    Oct 22, 2013
    Japan
    I can confirm that downgrading to 0.9 before upgrading to 1.3 fixes the black screen issue.
     
  4. hikarisilver

    hikarisilver Member

    Newcomer
    1
    Jul 21, 2018
    United States
    So I am 0.8...i can upgrade to 0.9 then 1.3 should fix it yes?

    Also how is the best way. I rename unlaunch.dsi to unlaunch.nds and install that method. Is there a better way?

    — Posts automatically merged - Please don't double post! —

    I will give it a shot jerbear64!! But just trying to go about it the best way I can.
     
  5. elenarguez

    elenarguez Advanced Member

    Newcomer
    3
    Jun 14, 2018
    Spain
    So, the latest version is stable, right? When I install it, it won't crash my emunand, no? In version 0.9 I had to reinstall Hiya...
     
    Last edited by elenarguez, Aug 15, 2018
  6. pandavova

    pandavova @pandavova FOLLOW ME ON TWITTER

    Member
    7
    Oct 27, 2015
    Germany
    Windows 10 Pro
    everything higher then 0.8 gives me a blackscreen when installing unlaunch. (1.4J DSi LL)
    Edit: Fixed with the bootcode.dsi from https://github.com/Robz8/hiyaCFW/releases

    I was 1.3.2 but i dont know... this fixed it so i dont care.
     
    Last edited by pandavova, Aug 17, 2018
    hikarisilver likes this.
  7. JosephNeale

    JosephNeale GBAtemp Regular

    Member
    5
    Oct 30, 2011
    United Kingdom
    Wirral, England, UK
    Thanks for the tip and its worked for me.
     
    Xyphoseos likes this.
  8. marazzmatika

    marazzmatika Naive guy

    Member
    3
    Jul 10, 2018
    Russia
    Why you must hardmod to install unlaunch? 0.8 installer worked perfectly with my DSi XL. (BTW 0.9 worked too)
     
  9. Mnecraft368
    OP

    Mnecraft368 I hate my name.

    Member
    7
    Aug 8, 2015
    United Kingdom
     
  10. androidrnd

    androidrnd Newbie

    Newcomer
    1
    Aug 31, 2018
    Russia
    I've installed Unlaunch 1.3 (last stable version) and now can't properly boot into the default dsi launcher (without bootcode.dsi or with A hotkey). It just freezes on the Unlaunch splash screen 9 out of 10 times. If I repeat turning console off and turning it on again, it will eventually boot but that's tedious. bootcode.dsi from sd card always boots fine tho. Something I can do to fix this?

    Device is DSi LL 1.4J
     
  11. marazzmatika

    marazzmatika Naive guy

    Member
    3
    Jul 10, 2018
    Russia
    Use 0.8 version. It's the most stable one
     
  12. smf

    smf GBAtemp Psycho!

    Member
    9
    Feb 23, 2009
    Yeah, I first tried "download unlaunch.dsi v1.3 (OKAY - tested, seems to be stable)" and it doesn't boot past no$ annoying choice of pictures.

    Fortunately I could rename the 0.8 installer to bootcode.dsi and installed it over the top & then it boots.
     
    marazzmatika likes this.
  13. marazzmatika

    marazzmatika Naive guy

    Member
    3
    Jul 10, 2018
    Russia
    Looks like the 1.3 is not that stable like 0.8.
     
  14. satelman

    satelman GBAtemp Regular

    Member
    3
    Feb 20, 2016
    Montserrat
    Hi, everyone,

    I installed unlaunch 0.9 on my DSi console, and later downgraded it to remove unlaunch (by creating a NAND with fwTool v1.6.1 and restoring it with this tool).

    Now, I've tried to install any version of unlaunch and they seem to install fine (no installation errors), but then the console boots as if unlaunch was not installed at all (?). I can't use a bootcode.dsi file either (it is completely ignored). Key combinations at boot time do not work, either.

    Any ideas why this may be happening? I can't install HiyaCFW or DsiMenu++ anymore, as a result of this strange issue.
     
    Last edited by satelman, Sep 23, 2018
  15. satelman

    satelman GBAtemp Regular

    Member
    3
    Feb 20, 2016
    Montserrat
    Hi, @ThisIsDaAccount,

    I have found a bug related to European DSi consoles and the tempNand unlaunch installer.

    I have a European DSi console and I used your latest tempNand version to add unlaunch to my nand copy and then I opened this modified nand copy in OSFMount to look for any changes and, do you know what? I found that the .tmd file was not changed at all in the 484e4150 (EUR) folder, but a new folder, 484E4145 (US), was created with the unlaunch .tmd file instead! So I think this unlauch installer is not working properly for European DSi consoles. I'm attaching a file with the title 00030017 contents extracted from my nand copy so that you may see what I mean.

    Could you please have a look at this issue and fix it if possible? I would like to install unlaunch through your tempNand tool since I have a strange issue that prevents me from installing directly through hbmenu (unlaunch apparently installs, but when I reboot the console nothing different happens, the home menu appears, and I can't launch bootcode.dsi. Key combinations do not work either).

    UPDATE: Now I know what is the issue about not being able to install unlauch normally. If you downgrade a nand copy, something happens to the launcher title that makes it impossible to install unlaunch through its installer (it seems to install, but it doesn't). That's why it would be awesome to be able to use your installer in tempNand instead!

    Thank you in advance.
     

    Attached Files:

    Last edited by satelman, Sep 24, 2018
    Garcimak likes this.
  16. Zurdonx

    Zurdonx Member

    Newcomer
    1
    Oct 2, 2018
    Venezuela
    Hi there. I own a DSi XL which has 1.4.4 (U). Should I update to 1.4.5 before I start installing anything? Thanks in advance.
     
  17. edo9300

    edo9300 Advanced Member

    Newcomer
    4
    Aug 19, 2018
    Italy
    Unlaunch works fine on every firmware from 1.4, probably it'll work on older ones too, so there's no need to update/downgrade the firmware
     
    Zurdonx and JSMastah like this.
  18. Zurdonx

    Zurdonx Member

    Newcomer
    1
    Oct 2, 2018
    Venezuela
    Okay. Thanks!

    I'm assuming that both 1.4.4 and 1.4.5 are identical with the exception that 1.4.5 blocks some flashcarts. Right?
     
  19. edo9300

    edo9300 Advanced Member

    Newcomer
    4
    Aug 19, 2018
    Italy
    Yeah, basically almost all the updates from 1.4 only added additional filters, for example up until 1.4.3 you could copy unsigned saves from the SD, and the 1.4.4 removed only this possibility
     
    Zurdonx likes this.
  20. marazzmatika

    marazzmatika Naive guy

    Member
    3
    Jul 10, 2018
    Russia
    Perfectly installed 0.9 on my XL with 1.4.3
     
    Zurdonx likes this.
Loading...